> ## Documentation Index
> Fetch the complete documentation index at: https://mulerouter.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Diffusion

> Video Generation - Image to Video

<Note>
  The `prompt` parameter is compatible with Midjourney's format. Please refer to Midjourney's [official documentation](https://docs.midjourney.com/hc/en-us/articles/32859204029709-Parameter-List) for more details.
</Note>

## Pricing

| Task Name       | Resolution | Mode       | Pricing |
| :-------------- | ---------- | :--------- | ------: |
| Video Diffusion | 480p       | Fast Mode  |  0.51\$ |
|                 | 480p       | Turbo Mode |  1.02\$ |
|                 | 720p       | Fast Mode  | 1.632\$ |
|                 | 720p       | Turbo Mode | 3.264\$ |


## OpenAPI

````yaml api-reference/endpoint/midjourney/midjourney.yaml POST /vendors/midjourney/v1/tob/video-diffusion
openapi: 3.1.0
info:
  title: Midjourney API
  description: Midjourney Image and Video Generation API
  version: 1.0.0
servers:
  - url: https://api.mulerouter.ai/
security:
  - bearerAuth: []
paths:
  /vendors/midjourney/v1/tob/video-diffusion:
    post:
      summary: Text/Image to Video
      description: Video Generation - Image to Video
      operationId: video_diffusion
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoDiffusionRequest'
            example:
              prompt: >-
                https://upload.wikimedia.org/wikipedia/commons/e/e7/Everest_North_Face_toward_Base_Camp_Tibet_Luca_Galuzzi_2006.jpg
                A beautiful sunset over the mountains
              video_type: 0
        required: true
      responses:
        '202':
          description: Task accepted and queued for processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoDiffusionTaskResponse'
              example:
                task_info:
                  id: 8e1e315e-b50d-4334-a231-be7d19a372f4
                  status: pending
                  created_at: '2025-09-21T00:00:00.000Z'
                  updated_at: '2025-09-21T00:00:00.000Z'
components:
  schemas:
    VideoDiffusionRequest:
      type: object
      additionalProperties: false
      properties:
        prompt:
          type: string
          description: >-
            Prompt for video generation. Must be between 1 and 8192 characters.
            Must start with an Image URL or Base64 encoded image string.
          minLength: 1
          maxLength: 8192
        video_type:
          type: integer
          description: |
            Video quality option provided by upstream service

            `0`: 480p
            `1`: 720p
          minimum: 0
          maximum: 1
          default: 0
      required:
        - prompt
      description: Image to Video generation request body
    VideoDiffusionTaskResponse:
      type: object
      additionalProperties: true
      properties:
        task_info:
          $ref: '#/components/schemas/TaskInfoResponse'
      required:
        - task_info
    TaskInfoResponse:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
          description: UUID of the task
          format: uuid
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        created_at:
          type: string
          description: Task creation timestamp (ISO 8601)
          format: date-time
        updated_at:
          type: string
          description: Task last update timestamp (ISO 8601)
          format: date-time
        error:
          $ref: '#/components/schemas/TaskInfoResponseErrorObject'
          description: >-
            Error message of task execution, only returned when task status is
            failed
      required:
        - id
        - status
        - created_at
        - updated_at
    TaskInfoResponseErrorObject:
      type: object
      additionalProperties: true
      properties:
        code:
          type: integer
          description: MuleRouter Error code
          example: 3001
        title:
          type: string
          description: MuleRouter Error title
          example: Task Execution Error
        detail:
          type: string
          description: MuleRouter Error detail
          example: Task execution failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````